SampleOccurence Class Reference

`#include <SampleOccurence.h>`

## Public Member Functions

| SampleOccurence (Vertex *v, unsigned short i)
Vertex * | getVertex (void) const
void | setVertex (Vertex *v)
unsigned short | getIndex (void) const
void | setIndex (unsigned short i)
bool | operator== (const SampleOccurence &soc) const

## Private Attributes

Vertex * | TheVertex
unsigned short | Index

## Constructor & Destructor Documentation

## SampleOccurence()

SampleOccurence::SampleOccurence | ( | Vertex * | v,
|  | unsigned short | i )

inline

## Member Function Documentation

## getIndex()

unsigned short SampleOccurence::getIndex | ( | void |  | ) | const

inline

## getVertex()

Vertex * SampleOccurence::getVertex | ( | void |  | ) | const

inline

## operator==()

bool SampleOccurence::operator== | ( | const SampleOccurence & | soc | ) | const

inline

## setIndex()

void SampleOccurence::setIndex | ( | unsigned short | i | ) |

inline

## setVertex()

void SampleOccurence::setVertex | ( | Vertex * | v | ) |

inline

## Member Data Documentation

## Index

unsigned short SampleOccurence::Index

private

## TheVertex

Vertex* SampleOccurence::TheVertex

private

The documentation for this class was generated from the following file:

- SampleOccurence.h